commit 345d1452dca18cbf3a66e0a22089843d2076abd1
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Fri Aug 16 12:03:57 2024 +0200

    testsuite: Add -fwrapv to signbit-5.c
    
    On Cortex-M55 with MVE, the test case fails due to -INT_MAX being
    undefined. Adding -fwrapv solves the issues.
    
    Regtested on x86_64-pc-linux-gnu and arm-none-eabi for
    Cortex-M0/M3/M4/M7/M33/M55/M85/A7.
    
    gcc/testsuite/ChangeLog:
    
            * gcc.dg/signbit-5.c: Add -fwrapv and remove x86 exception.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    Co-authored-by: Yvan ROUX <yvan.roux@foss.st.com>
    (cherry picked from commit 5a3387938d4d95717cac29eecd0ba53e0ef9094d)

diff --git a/gcc/testsuite/gcc.dg/signbit-5.c b/gcc/testsuite/gcc.dg/signbit-5.c
index 1e1b237a0e0..2bca640f930 100644
--- a/gcc/testsuite/gcc.dg/signbit-5.c
+++ b/gcc/testsuite/gcc.dg/signbit-5.c
@@ -1,8 +1,7 @@
 /* { dg-do run } */
-/* { dg-options "-O3" } */
+/* { dg-options "-O3 -fwrapv" } */
 
 /* This test does not work when the truth type does not match vector type.  */
-/* { dg-additional-options "-mno-avx512f" { target { i?86-*-* x86_64-*-* } } } */
 /* { dg-additional-options "-march=armv8-a" { target aarch64_sve } } */
 /* { dg-xfail-run-if "truth type does not match vector type" { amdgcn-*-* } } */
 /* { dg-xfail-run-if "truth type does not match vector type" { riscv_v } } */

